GET /reporting/financial/trial-balance/\{book_id\}
GET/reporting/financial/trial-balance/:book_id
GET /reporting/financial/trial-balance/{book_id}
Request
Path Parameters
book_id int32required
Query Parameters
date_posting string
Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31]. Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31].
period string
Custom string range syntax. Equal: A; From: [A;]; To: [;Z]; Between: [A;Z]. Custom string range syntax. Equal: A; From: [A;]; To: [;Z]; Between: [A;Z].
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
Array [
]
currency stringnullable
period_from stringnullable
period_to stringnullable
date_from datenullable
date_to datenullable
rows
object[]
nullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
ob double
cb double
debit double
credit double
ytd_debit double
ytd_credit double
{
"currency": "string",
"period_from": "string",
"period_to": "string",
"date_from": "2024-07-29",
"date_to": "2024-07-29",
"rows": [
{
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"ob": 0,
"cb": 0,
"debit": 0,
"credit": 0,
"ytd_debit": 0,
"ytd_credit": 0
}
]
}
- Schema
- Example (from schema)
Schema
Array [
]
currency stringnullable
period_from stringnullable
period_to stringnullable
date_from datenullable
date_to datenullable
rows
object[]
nullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
ob double
cb double
debit double
credit double
ytd_debit double
ytd_credit double
{
"currency": "string",
"period_from": "string",
"period_to": "string",
"date_from": "2024-07-29",
"date_to": "2024-07-29",
"rows": [
{
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"ob": 0,
"cb": 0,
"debit": 0,
"credit": 0,
"ytd_debit": 0,
"ytd_credit": 0
}
]
}
- Schema
- Example (from schema)
Schema
Array [
]
currency stringnullable
period_from stringnullable
period_to stringnullable
date_from datenullable
date_to datenullable
rows
object[]
nullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
ob double
cb double
debit double
credit double
ytd_debit double
ytd_credit double
{
"currency": "string",
"period_from": "string",
"period_to": "string",
"date_from": "2024-07-29",
"date_to": "2024-07-29",
"rows": [
{
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"ob": 0,
"cb": 0,
"debit": 0,
"credit": 0,
"ytd_debit": 0,
"ytd_credit": 0
}
]
}
Loading...